
Gisaf - Bug #9468

"Find my Location" button on map returns strange result !!

19/12/2019 16:47 - Richard Presley

Status: Feedback Start date: 19/12/2019

Priority: Normal Due date:  

Assignee: Richard Presley % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

I clicked on the "Find My location" button on the map:

my position is indicated as ~50 km north of Tiruchirappalli, which is about 250 km southwest of my actual location in Auroshilpam!

When I launch Google Maps my position is correctly displayed.

History

#1 - 19/12/2019 17:14 - Philippe May

- Assignee set to Richard Presley

- Status changed from New to Feedback

Interesting, it's worth investigating a bit ;)

Are you using your laptop, which presumably doesn't have GPS? In that case, the location might be estimated by the OS according to connection

information (Jio?).

Are you using Google Maps on the same device? In that case, i really wonder how Google could estimate your location differently than Windows in

that case.

For information, the maps are made with Mapbox (https://github.com/mapbox/mapbox-gl-js): that button is one of its feature, and makes use of the

OS capabilities (OS services). Standalone softwares can have access to other things, that web browsers block.

PS: thanks for that first ticket... don't forget to assign it to me so i'll be notified as soon as it's created.

#2 - 19/12/2019 19:48 - Richard Presley

- File image.png added

Hi Phil.  I am using my desktop PC with a Jio hotspot connection to the

Internet for both Google Maps and your site. I am using a USB-WiFi dongle

on my PC to interface to the Jio hotspot via the hotspot.

I again launched the two sites, cleared the cache (shift-F5) for both

sites, and the bug is reproducible: Geomatics shows my location in the

exact same place as before (shown below), and Google Maps still shows me

correctly right here in my room.

Very strange, huh?
https://github.com/mapbox/mapbox-gl-js


You can see in the screen capture above what happens.  The map zooms out to

this extent and my position (the blue dot) continues to be in the exact

same but incorrect location.

Have you tried this out on your PC?  Do you have the same issue?

rp

On Thu, Dec 19, 2019 at 5:14 PM <redmine@auroville.org.in> wrote:

#3 - 20/12/2019 19:36 - Richard Presley

This evening, for an unknown reason, my location is properly displayed.
